Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.abase.aBase.presentation
Class ABaseEditorPlugin.Implementation

    java.lang.Object
      org.eclipse.core.runtime.Plugin
          org.eclipse.ui.plugin.AbstractUIPlugin
              org.eclipse.emf.common.ui.EclipseUIPlugin
                  org.eclipse.amp.amf.abase.aBase.presentation.ABaseEditorPlugin.Implementation

All Implemented Interfaces:
  org.eclipse.emf.common.EMFPlugin.InternalEclipsePlugin, org.eclipse.emf.common.util.Logger, org.eclipse.emf.common.util.ResourceLocator, org.osgi.framework.BundleActivator

Enclosing class:
  ABaseEditorPlugin

    public static class ABaseEditorPlugin.Implementation

extends org.eclipse.emf.common.ui.EclipseUIPlugin

The actual implementation of the Eclipse Plugin.

Field Summary

Fields inherited from class org.eclipse.emf.common.ui.EclipseUIPlugin
`helper`

Fields inherited from class org.eclipse.core.runtime.Plugin
`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`ABaseEditorPlugin.Implementation()` Creates an instance.

Method Summary

Methods inherited from class org.eclipse.emf.common.ui.EclipseUIPlugin
`doGetImage, getBaseURL, getImage, getString, getString, getString, getString, getSymbolicName, log`

Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin
`createImageRegistry, getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, imageDescriptorFromPlugin, initializeDefaultPluginPreferences, initializeDefaultPreferences, initializeImageRegistry, loadDialogSettings, loadPreferenceStore, refreshPluginActions, saveDialogSettings, savePreferenceStore, shutdown, start, startup, stop`

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ABaseEditorPlugin.Implementation

    public ABaseEditorPlugin.Implementation()

  Creates an instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD